email field fails validation.data.status:updated — the new details are in effect.no_change — the details already matched, nothing was changed.pending_approval — the change was accepted and is awaiting email approval from the current contact, which ICANN requires for a registrant change. This usually completes within a few hours.curl --location 'https://api.inboxkit.com/v1/api/domains/contacts' \
--header 'X-Workspace-Id;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"uid": "dom-123e4567-e89b-12d3-a456-426614174000",
"contact_details": {
"first_name": "John",
"last_name": "Doe",
"phone": "+1.4155550123",
"organization": "Acme Inc",
"address_line1": "123 Market Street",
"address_line2": "Suite 400",
"city": "San Francisco",
"state": "California",
"country": "US",
"postal_code": "94105"
}
}'{
"error": false,
"message": "Domain contacts updated successfully.",
"data": {
"domain": "example.com",
"status": "updated"
}
}